=== debian/changelog ===
tkrat (1:2.1.4-2) unstable; urgency=low

  * Bumped to Standards 3.6.1.0 (changelog UTF-8)
  * The new version should close random segfaults (closes: #231528)

 -- Mattia Monga <monga@debian.org>  Wed, 10 Mar 2004 17:55:11 +0100

tkrat (1:2.1.4-1) unstable; urgency=low

  * New upstream version 

 -- Mattia Monga <monga@debian.org>  Wed, 28 Jan 2004 17:08:44 +0100

tkrat (1:2.1.2-2) unstable; urgency=low

  * Add autoconf to Build-Depends (closes #213786)

 -- Mattia Monga <monga@debian.org>  Thu,  2 Oct 2003 20:02:37 +0200

tkrat (1:2.1.2-1) unstable; urgency=low

   * New upstream version
   * control (Standards-Version): 3.6.1
   * Revert to upstream modified c-client lib. The Debian one doesn't work
     with tcl/tk 8.4. Modifications needed to be coherent with Debian were
     copied from uw-imap-2002ddebian1 package and isolated in
     01_adapt_upstream_c_client

 -- Mattia Monga <monga@debian.org>  Tue, 30 Sep 2003 08:12:58 +0200

tkrat (1:2.1.1-5) unstable; urgency=low

  * Re-compiled with libc-client2002ddebian because libc-client2003debian
    does not exist anymore (closes: #205559, #203585)
  * Updated standards to 3.6.0 (no changes needed)

 -- Mattia Monga <monga@debian.org>  Sun, 17 Aug 2003 01:04:10 +0200

tkrat (1:2.1.1-4) unstable; urgency=low

  * Menu entry forgotten: re-add in section Apps/Net
  * Updated standards to 3.5.9
  * Priority is extra now, to be policy compliant on all architectures

 -- Mattia Monga <monga@debian.org>  Sat, 12 Apr 2003 10:38:03 +0200

tkrat (1:2.1.1-3) unstable; urgency=low

  * tk8.4 is not working on my machine: thus tkrat depends from tk8.3
  * tkrat now uses /usr/bin/wish (closes: #187311)

 -- Mattia Monga <monga@debian.org>  Thu,  3 Apr 2003 11:32:21 +0200

tkrat (1:2.1.1-2) unstable; urgency=low

  * Dropped libc6-dev build dependency. Explicit dependency is problematic
    on ia64, implicit by build-essential is enough (closes: #186945)
  
 -- Mattia Monga <monga@debian.org>  Mon, 31 Mar 2003 13:40:12 +0200

tkrat (1:2.1.1-1) unstable; urgency=low

  * New upstream revision (ssl, roles, fancy management of multiple
    servers, online/offline mode)
  * Package uses DBS now
  * Compile with the new libc-client2003debian
  * Closes: #94705, #182716

 -- Mattia Monga <monga@debian.org>  Sat, 15 Mar 2003 19:08:33 +0100

tkrat (1:2.0.3-3) unstable; urgency=low

  * Back in the Debian bug arena. Closes: #134087, #131330, #131310, 
    #121797

  * Reverting to dynamic version of libc-client2001

 -- Mattia Monga <monga@debian.org>  Mon, 18 Feb 2002 16:15:37 +0100

tkrat (1:2.0.3-2.1) unstable; urgency=low

  * NMU
  * Need to use -lc-client, not /usr/lib/c-client.a.  Closes: #127247

 -- LaMont Jones <lamont@debian.org>  Tue, 29 Jan 2002 11:52:38 -0700

tkrat (1:2.0.3-2) unstable; urgency=low

  * Use static libc-client2001 because dynamic version is buggy

 -- Mattia Monga <monga@debian.org>  Fri, 30 Nov 2001 14:41:39 +0100

tkrat (1:2.0.3-1) unstable; urgency=low

  * New upstream source 
  * Support for ssl (closes: #112845)

 -- Mattia Monga <monga@debian.org>  Mon, 24 Sep 2001 16:43:17 +0200

tkrat (1:2.0.2-4) unstable; urgency=low

  * Use dynamic version of libc-client (closes: #110500)
  * Libc-client closes: Bug#96329,Bug#96330

 -- Mattia Monga <monga@debian.org>  Wed, 29 Aug 2001 11:51:03 +0200

tkrat (1:2.0.2-3) unstable; urgency=low

  * Use libc-client2001

 -- Mattia Monga <monga@debian.org>  Tue, 28 Aug 2001 13:03:17 +0200

tkrat (1:2.0.2-2) unstable; urgency=low

  * Using the c-client library provided with Debian

 -- Mattia Monga <monga@debian.org>  Wed, 11 Jul 2001 17:44:49 +0200

tkrat (1:2.0.2-1) unstable; urgency=low

  * New upstream release

 -- Mattia Monga <monga@debian.org>  Wed, 11 Jul 2001 17:00:29 +0200

tkrat (1:2.0.1-4.1) unstable; urgency=low

  * Debian files merged with Taral ones
  * Now the patch for color flags can be disabled during building phase
  * Added examples and documentation from docs directory

 -- Mattia Monga <monga@debian.org>  Sat, 28 Apr 2001 12:44:25 +0200

tkrat (1:2.0.1-4) unstable; urgency=low

  * New maintainer (closes: #94916)
  * Applied a patch of mine to show message flags as colors

 -- Mattia Monga <monga@debian.org>  Wed, 25 Apr 2001 15:31:32 +0200

tkrat (1:2.0.1-3) unstable; urgency=low

  * Disable use of tkConfig.sh to avoid segfault

 -- JP Sugarbroad <taral@taral.net>  Sun, 25 Mar 2001 19:17:47 -0600

tkrat (1:2.0.1-2) unstable; urgency=low

  * Added menu hint (closes: #80040)
  * Move the substvars stuff to a dpkg-gencontrol option
  * Move files out of /usr/X11R6 to comply with FHS
  * Move man pages to /usr/share/man to comply with FHS
  * Remove dh_testversion (deprecated)

 -- JP Sugarbroad <taral@taral.net>  Tue, 20 Mar 2001 21:27:27 -0600

tkrat (1:2.0.1-1) unstable; urgency=low

  * Package adopted (closes: #82445)
  * New upstream version. (closes: #51900, #55753, #59914, #63688, #46801,
    #77943, #80040)
  * Minor manpage fixes (closes: #46321)

 -- JP Sugarbroad <taral@taral.net>  Thu, 22 Feb 2001 11:39:19 -0600

tkrat (1:2.0-3) unstable; urgency=low

  * Applied interim patches (upstream):
    - quote '&' before launching browser
    - never send bare LF
    - quick workaround for GB2312, etc. charsets

 -- JP Sugarbroad <taral@taral.net>  Sun,  4 Feb 2001 03:37:57 -0600

tkrat (1:2.0-2) unstable; urgency=low

  * Fix man pages for policy compliance

 -- JP Sugarbroad <taral@taral.net>  Sun, 28 Jan 2001 03:16:30 -0600

tkrat (1:2.0-1) unstable; urgency=low

  * New upstream version, package recreated

 -- JP Sugarbroad <taral@taral.net>  Fri, 26 Jan 2001 12:26:44 -0600

tkrat (1:1.2-2) unstable; urgency=low

  * imap-4.1/src/osdep/unix/unix.c: use setgid mail priveliges when trying
    to remove lock files (#27822,#30271,#32393,#32952)

 -- Mark Baker <mbaker@iee.org>  Thu,  8 Jul 1999 20:43:06 +0100

tkrat (1:1.2-1) unstable; urgency=low

  * New upstream version, mostly bugfixes (including #30316,#17649,#25561)


