=== debian/control ===
Source: tkrat
Section: mail
Priority: optional
Maintainer: Mattia Monga <monga@debian.org>
Build-Depends: debhelper (>= 4), dbs, libkrb5-dev, libpam0g-dev (>= 0.76), libssl-dev, autoconf, tk8.4-dev | tk-dev
Standards-Version: 3.6.1.0

Package: tkrat
Architecture: any
Depends: ${shlibs:Depends}, tk8.4 | wish
Provides: imap-client, mail-reader
Suggests: exim | mail-transport-agent
Description: Tk based MUA
 TkRat is a graphical Mail User Agent (MUA) which handles MIME. It is
 mainly written in C but the user interface is done in tcl/tk.
 .
 The program currently understands unix mailboxes, POP, IMAP and mh
 folders. Messages are sent via SMTP or any user configured program
 (for example sendmail).
