=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


# DBS stuff


TAR_DIR = tkrat-2.1.4
# the dbs rules
include /usr/share/dbs/dbs-build.mk
# convenient way to set architecture specification strings
# the ifeq condition is here to allow them to be overridden
# from the command line
ifeq (,$(DEB_BUILD_GNU_TYPE))
   include /usr/share/dbs/dpkg-arch.mk
endif


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

$(BUILD_TREE)/config.status:  $(patched) $(BUILD_TREE)/configure
	dh_testdir
# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub $(BUILD_TREE)/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess $(BUILD_TREE)/config.guess
endif
	cd $(BUILD_TREE) && autoconf && ./configure --prefix=/usr \
	--mandir=\$${prefix}/share/man \
        --infodir=\$${prefix}/share/info \
	--sysconfdir=/etc \
	--with-ssl


build: build-stamp 

build-stamp:  $(BUILD_TREE)/config.status $(patched)
	dh_testdir

	cd $(BUILD_TREE) && $(MAKE)
#/usr/bin/docbook-to-man debian/tkrat.sgml > tkrat.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf $(SOURCE_DIR) $(STAMP_DIR) build-stamp 
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Add here commands to install the package into debian/tkrat.
	cd $(BUILD_TREE) && $(MAKE) install prefix=$(CURDIR)/debian/tkrat/usr
	cp $(CURDIR)/debian/tkrat.xpm $(CURDIR)/debian/tkrat/usr/X11R6/include/X11/pixmaps/tkrat.xpm 


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs $(BUILD_TREE)/doc/changes
	dh_installdocs $(BUILD_TREE)/README $(BUILD_TREE)/BLURB $(BUILD_TREE)/CONFIGURATION $(BUILD_TREE)/doc/interface $(BUILD_TREE)/doc/userprocs
	dh_installexamples
	dh_install 
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
#	dh_link `grep LIBDIR /usr/bin/tkrat | cut -d " " -f 3 | cut -c "2-"`/tkrat.xpm /usr/X11R6/include/X11/pixmaps/tkrat.xpm 
	dh_strip
	dh_compress
	dh_fixperms
	find debian/tkrat/usr/share/ -name tclIndex -exec chmod a-x {} \;
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol 
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
