## tkrat 2.1.4-2ubuntu1

=== debian/changelog ===
tkrat (1:2.1.4-2ubuntu1) edgy; urgency=low

  * Add 'debian/patches/05_autoconf_typo' to fix hanging single quote.
  * Rebuild against OpenSSL 0.9.8

 -- Kees Cook <kees@ubuntu.com>  Thu, 12 Oct 2006 15:13:25 -0700
